

body {
    margin: 0;
    background-color: black;
    color: white;
    font-family: "funnel sans",sans-serif;
    height:100vh;
    position:relative;
}
.home-page {
    background-image: url("images/nyc.jpg");
    
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    background-attachment: fixed;
}
.title {
    position:absolute;
    top:30px;
    left:40px;
    font-size: 120px;
    letter-spacing:8px;
    font-weight: 900;
}

.fire-icon {
    width:64px;
    height:auto;
    transform: translate(20%,40%)
}

nav {
    position:absolute;
    top:30px;
    right:40px;
}

a.underlined {
    text-decoration: underline;
    text-decoration-color: white;
    text-decoration-thickness: 2px;
    text-underline-offset: 8px;
}

.header {
    color:white;
    text-decoration: none;
    margin-left:24px;
    font-size:14px;
}

#instagram-logo {
    position: fixed;
    bottom:30px;
    left:40px;
}
#instagram-logo img{
    width:32px;
    height:auto;
    display:block;
}

/* Menu Page */

.menu-container {
    position: absolute;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -100%);

    display: flex;
    flex-direction: column;
    align-items: center;
}

.menu {
    text-decoration: none;
    color: white;

    display: flex;
    flex-direction: column;
    align-items: center;

    margin-bottom: 48px;
}

.menu-title{
    font-size: 32px;
    font-weight: 700;
    letter-spacing: 0.08em;

    margin:0 0 6px 0;
}

.menu-date {
    font-size: 14px;
    font-weight: 400;

    opacity: 0.7;

    margin: 0;
}

/* Individual Menu Pages */

.individual-menu {
    position: absolute;

    top: 55%;
    left: 50%;

    transform: translate(-50%, -50%);

    display: flex;
    flex-direction: column;
    align-items: center;
}

.dish {
    text-align: center;
}

.may26 {
    margin-bottom: 8px;
}

.aug24 {
    margin-bottom: 20px;
}

.dish-primary {
    margin: 0 0 4px 0;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 0.04em;
}

.dish-secondary {
    margin: 0;

    font-size: 12px;
    font-weight: 100;

    opacity: 0.75;
    letter-spacing: 0.02em;
}

/* Gallery Page */

.gallery-container {
    width: 70%;
    position: relative;
    top: 200px;

    margin: 0 auto;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap:1%;
    padding-bottom: 5%;
}

.gallery-container img {
    width:100%;
    height: auto;
    display: block;
}

/* About Page */

#oaxaca {
    width: 30%;
    
    position: relative;
    top: 200px;
    
    margin-left: auto;
    margin-right: auto;
    z-index: 1;
}

#oaxaca img {
    width: 90%;
    height: auto;

    display: block;
    margin: 0 auto;
}

.story-section {
    width: 90%;
    margin: 120px auto 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 120px;
    position: relative;
    top: 90px;
    padding-bottom: 5%;
}

.caption {
    font-size: 22px;
    z-index: 2;
}

#story {
    max-width: 700px;
    line-height: 1.4;
    font-size: 18px;
    margin: 0;
    z-index: 2;
    font-size:15px;
    font-weight:100;
}

/* Journal Page */
.journal {
    width: 70%;
    margin: 0 auto 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    padding-top:16%;
    padding-bottom:5%;
}
.entry {
    text-decoration: none;
    color: white;
}
.entry-image img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    display: block;
}
.entry-title {
    margin-top: 12px;
    font-size: 18px;
}
.entry-date {
    margin-top: 6px;
    opacity: 0.7;
    font-size: 14px;
}

/* Mobile Formatting */

@media (max-width: 840px) {

    nav {
        position:absolute;
        top:20%;
        left:0%;
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .fire-icon {
        width: 36px;
        height: auto;

        transform: none;
        margin-left: 45px;
    }
    .header {
        color:white;
        text-decoration: none;
        margin-left:50px;
        font-size:16px;

    }


}